IPlanetJVMSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iplanet.IPlanetJVMSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iplanet
Interface IPlanetJVMSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IPlanetJVMSettings

extends LogicalElement

Represents Apache specific SSL settings for a virtual host.

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  IPLTJVM

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getClassGCEnabled()`
`java.lang.String` | `getJavaClasspath()`
`java.lang.String` | `getJavaCompiler()`
`boolean` | `getJSPDebugEnabled()`
`int` | `getMaxHeapSize()`
`int` | `getMinHeapSize()`
`IPlanetWebContainer` | `getParent()`
`boolean` | `hasClassGCEnabled()`
`boolean` | `hasJavaClasspath()`
`boolean` | `hasJavaCompiler()`
`boolean` | `hasJSPDebugEnabled()`
`boolean` | `hasMaxHeapSize()`
`boolean` | `hasMinHeapSize()`
`boolean` | `hasParent()`
`void` | `setClassGCEnabled(boolean flag)`
`void` | `setJavaClasspath(java.lang.String jClasspath)`
`void` | `setJavaCompiler(java.lang.String jCompiler)`
`void` | `setJSPDebugEnabled(boolean flag)`
`void` | `setMaxHeapSize(int mxHeap)`
`void` | `setMinHeapSize(int mnHeap)`
`void` | `setParent(IPlanetWebContainer parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    IPlanetWebContainer getParent()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(IPlanetWebContainer parent)

### hasParent

    boolean hasParent()

### getMinHeapSize

    int getMinHeapSize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinHeapSize

    void setMinHeapSize(int mnHeap)

### hasMinHeapSize

    boolean hasMinHeapSize()

### getMaxHeapSize

    int getMaxHeapSize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxHeapSize

    void setMaxHeapSize(int mxHeap)

### hasMaxHeapSize

    boolean hasMaxHeapSize()

### getClassGCEnabled

    boolean getClassGCEnabled()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClassGCEnabled

    void setClassGCEnabled(boolean flag)

### hasClassGCEnabled

    boolean hasClassGCEnabled()

### getJavaCompiler

    java.lang.String getJavaCompiler()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompiler

    void setJavaCompiler(java.lang.String jCompiler)

### hasJavaCompiler

    boolean hasJavaCompiler()

### getJSPDebugEnabled

    boolean getJSPDebugEnabled()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJSPDebugEnabled

    void setJSPDebugEnabled(boolean flag)

### hasJSPDebugEnabled

    boolean hasJSPDebugEnabled()

### getJavaClasspath

    java.lang.String getJavaClasspath()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaClasspath

    void setJavaClasspath(java.lang.String jClasspath)

### hasJavaClasspath

    boolean hasJavaClasspath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD